### Enumeration

# Gimp ConvertPaletteType

#### Declaration

    enum Gimp.ConvertPaletteType

#### Description [src]

Types of palettes for indexed conversion.

#### Members

`GIMP_CONVERT_PALETTE_GENERATE`

  Generate optimum palette.

  - Value: `0`
  - Available since: 3.0
`GIMP_CONVERT_PALETTE_WEB`

  Use web-optimized palette.

  - Value: `1`
  - Available since: 3.0
`GIMP_CONVERT_PALETTE_MONO`

  Use black and white (1-bit) palette.

  - Value: `2`
  - Available since: 3.0
`GIMP_CONVERT_PALETTE_CUSTOM`

  Use custom palette.

  - Value: `3`
  - Available since: 3.0